using System.Text.Json.Serialization;

namespace Luski.Classes;

public class ServerList
{
    [JsonInclude]
    [JsonPropertyName("servers")]
    public ServerInfo[] Servers { get; set; } = Array.Empty<ServerInfo>();
}

[JsonSerializable(typeof(ServerList))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.Unspecified,
    WriteIndented = true,
    DefaultIgnoreCondition = JsonIgnoreCondition.Never)]
internal partial class ServerListContext : JsonSerializerContext
{

}